Subject: ANNOUNCE: Barcode::Code128
From: [email-masked] (William R. Ward)
Date: 31 Mar 1999 13:27:03 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

A client of mine had a project where users would fill out a form on a
web page, submit it, and then the following page had instructions to
print it out and submit it along with supporting documentation.  The
client then had to enter in an identifying number from the printout
into another web form to indicate that the papers had been received.

To make this job easier I developed a barcode system, where the web
page that is printed has a barcode on it as a GIF file, and then when
it is received by my client, they can scan the barcode instead of
typing in the numbers.

I obtained permission from the client to make this barcode software
public, provided I do not reveal their identity (out of liability
fears).  So I have released it into the public domain and uploaded it
into CPAN.

It uses the "CODE 128" encoding scheme, which has the pleasant
properties of being 1) very robust in terms of error prevention, 2)
can encode all 128 7-bit ASCII characters, and 3) has a mode which is
very efficient for encoding streams of digits.  It has also been
adopted by the same folks who brought you UPC and ECC codes, for use
on shipping packages, so it is widely used and most modern barcode
readers support it.

If you plug the barcode reader into your keyboard port you can even
scan barcodes into a web browser's form elements.

Look for it in the authors/id/WRW directory on CPAN, or visit my web
site at http://www.bayview.com/perl/modules.shtml for more information.

--Bill.

-- 
William R Ward         http://www.bayview.com/~hermit/     [email-masked]
    It is difficult to produce a television documentary that is both
    incisive and probing when every twelve minutes one is interrupted by
    twelve dancing rabbits singing about toilet paper. -- Rod Serling